please backport drush 4.5-4 from precise

Bug #899655 reported by anarcat on 2011-12-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Lucid Backports
Wishlist
Unassigned
Natty Backports
Wishlist
Unassigned
Oneiric Backports
Wishlist
Unassigned
maverick-backports
Won't Fix
Wishlist
Unassigned

Bug Description

This is causing recurrent complaints from Ubuntu users not having the latest and greatest Drush release in their stable ubuntu.

See this thread for an example: https://drupal.org/node/1152908

This is a continuation of #755169. I wonder, as a Debian Developer, how I can help to ease this process. The 4.5 package was uploaded to the squeeze-backports on the debian side, if that makes any difference:

http://packages.qa.debian.org/d/drush.html

Evan Broder (broder) wrote :

Great, this looks like a reasonable backport. A few tweaks:

 drush 4.5-2 is not currently available in Ubuntu:

    evan@caron:~$ rmadison drush
         drush | 2.0-6 | lucid/universe | source, all
         drush | 3.1-1 | maverick/universe | source, all
         drush | 4.4-1~lucid1 | lucid-backports/universe | source, all
         drush | 4.4-1~maverick1 | maverick-backports/universe | source, all
         drush | 4.4-1 | natty/universe | source, all
         drush | 4.4-2 | oneiric/universe | source, all
         drush | 4.5-4 | precise/universe | source, all

I'm going to assume you wanted 4.5-4, which means that we will also need to do a backport to Oneiric, so I've gone ahead and adjusted the bug for that.

I've uploaded test backports of drush 4.5-4 to my PPA (https://launchpad.net/~broder/+archive/backports-tests). Please test that the package builds, installs, and runs in all 4 releases.

drush has a single reverse-dependency (aegir-provision), but based on discussion on the last backport, it does not need to be tested.

Once you've finished testing, please set the status of the bug to Confirmed.

In order to make backports faster in the future, I'd recommend using the requestbackport script from ubuntu-dev-tools (currently available in either Precise or https://launchpad.net/~udt-developers/+archive/daily). The script walks through all of the testing required so that you can have it done when you open the bug.

Changed in oneiric-backports:
status: New → Incomplete
Changed in lucid-backports:
status: New → Incomplete
Changed in maverick-backports:
status: New → Incomplete
Changed in natty-backports:
status: New → Incomplete
summary: - please backport drush 4.5-2
+ please backport drush 4.5-4 from precise
Changed in oneiric-backports:
importance: Undecided → Wishlist
Changed in lucid-backports:
importance: Undecided → Wishlist
Changed in maverick-backports:
importance: Undecided → Wishlist
Changed in natty-backports:
importance: Undecided → Wishlist
Micah Gersten (micahg) wrote :

Please also note the latest ubuntu-dev-tools is also available in Debian unstable.

ysingh (ys-rajput) on 2012-02-05
Changed in lucid-backports:
status: Incomplete → Fix Committed
Micah Gersten (micahg) wrote :

Please don't change the status without a comment. Also, only an Ubuntu Backporter should be setting the Fix Committed state.

Changed in lucid-backports:
status: Fix Committed → Incomplete
Evan Broder (broder) wrote :

I'm closing the maverick-backports task on this bug due to Ubuntu
10.10 (Maverick Meerkat) no longer being supported.

It looks like you requested a backport to Ubuntu 10.04 (Lucid
Lynx). Now that Ubuntu 10.10 is no longer supported, it may be
possible to backport this package directly to Ubuntu 10.04, without
requiring backports to intervening releases.

I'm going to assume you are primarily interested in the Ubuntu 10.04
backport, and mark the newer bug tasks as Incomplete. If this is
incorrect, please feel free to adjust the status yourself, or comment
and I will do so.

This bug is being manipulated by a bot. If you feel the change was
made in error, please feel free to re-open the bug. However, backports
requests for Ubuntu 10.10 (Maverick Meerkat) are no longer being
accepted.

Changed in maverick-backports:
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers